<?php
namespace boru\boruai\Openai\Api\Endpoints;

use boru\boruai\Openai\OpenAI;
use boru\boruai\Openai\response\ApiBaseResponse;

class ModelsAPI {
    /**
     * @return ApiBaseResponse
     */
    public static function listModels() {
        return OpenAI::requestList("get","models");
    }

    /**
     * @return ApiBaseResponse
     */
    public static function getModel($model_id) {
        return OpenAI::request("get","models/" . $model_id);
    }
}